gtkmm: Atk::Hypertext Class Reference

# Atk::Hypertext Class Reference

Inherits Glib::Interface.

Inherited by Atk::NoOpObject.

Collaboration diagram for Atk::Hypertext:
[legend]

List of all members.

## Public Member Functions
virtual | ~Hypertext ()
AtkHypertext* | gobj ()
| Provides access to the underlying C GObject.
const AtkHypertext* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Hyperlink > | get_link (int link_index)
| Gets the link in this hypertext document at index link_index.
Glib::RefPtr< const Hyperlink > | get_link (int link_index) const
| Gets the link in this hypertext document at index link_index.
int | get_n_links () const
| Gets the number of links within this hypertext document.
int | get_link_index (int char_index) const
| Gets the index into the array of hyperlinks that is associated with the character specified by char_index.
Glib::SignalProxy1< void, int > | signal_link_selected ()
virtual Glib::RefPtr< Hyperlink > | get_link_vfunc (int link_index)
virtual int | get_n_links_vfunc () const
virtual int | get_link_index_vfunc (int char_index) const
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual void | on_link_selected (int link_index)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Hypertext > | wrap (AtkHypertext* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Atk::Hypertext::~Hypertext | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::Hypertext::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<const Hyperlink> Atk::Hypertext::get_link | ( | int | link_index | ) | const

Gets the link in this hypertext document at index link_index.

Parameters:

  | link_index | An integer specifying the desired link.

Returns:
  The link in this hypertext document at index link_index.

Glib::RefPtr<Hyperlink> Atk::Hypertext::get_link | ( | int | link_index | ) |

Gets the link in this hypertext document at index link_index.

Parameters:

  | link_index | An integer specifying the desired link.

Returns:
  The link in this hypertext document at index link_index.

int Atk::Hypertext::get_link_index | ( | int | char_index | ) | const

Gets the index into the array of hyperlinks that is associated with the character specified by char_index.

Parameters:

  | char_index | A character index.

Returns:
  An index into the array of hyperlinks in hypertext, or -1 if there is no hyperlink associated with this character.

virtual int Atk::Hypertext::get_link_index_vfunc | ( | int | char_index | ) | const`[virtual]`

virtual Glib::RefPtr<Hyperlink> Atk::Hypertext::get_link_vfunc | ( | int | link_index | ) | `[virtual]`

int Atk::Hypertext::get_n_links | ( |  | ) | const

Gets the number of links within this hypertext document.

Returns:
  The number of links within this hypertext document.

virtual int Atk::Hypertext::get_n_links_vfunc | ( |  | ) | const`[virtual]`

const AtkHypertext* Atk::Hypertext::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Atk::NoOpObject.

AtkHypertext* Atk::Hypertext::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Atk::NoOpObject.

virtual void Atk::Hypertext::on_link_selected | ( | int | link_index | ) | `[protected, virtual]`

Glib::SignalProxy1< void,int > Atk::Hypertext::signal_link_selected | ( |  | ) |

Prototype:
  `void on_my_link_selected(int link_index)`

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Hypertext > wrap | ( | AtkHypertext * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- atkmm/hypertext.h